logging_level(Levels) :-
	Levels = ['DEBUG', 'INFO'].

debug(Message) :-
	log('DEBUG', ['DEBUG ' | Message]).

info(Message) :-
	log('INFO', Message).

log(Level, Message) :-
	logging_level(Levels),
	member(Level, Levels),
	!,
	write_list(Message).
log(Level, Message).

write_list([Head | Tail]) :-
	write(Head),
	!,
	write_list(Tail).
write_list([]) :-
	write_ln('').
write_list(Message) :-
	write_ln(Message).
